summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Shumaker <shumakl@purdue.edu>2015-09-24 15:56:22 -0400
committerLuke Shumaker <shumakl@purdue.edu>2015-09-24 15:56:22 -0400
commit1f657262cae273a20c104465697aa283ed77196b (patch)
treeeee5182c976b939d8b22d13aaeb7e333bfb18c73
parent4d6eed98970b4241f95b70309926e46040ce1956 (diff)
Be more careful about what happens when XDG_RUNTIME_DIR isn't set.
-rw-r--r--.config/X11/clientrc5
-rw-r--r--.config/login.d/90_dot-runtime.sh6
-rw-r--r--.config/wmii-hg/include.sh4
-rw-r--r--.config/wmii-hg/rbar.sh5
4 files changed, 18 insertions, 2 deletions
diff --git a/.config/X11/clientrc b/.config/X11/clientrc
index 8bced30..46c4edd 100644
--- a/.config/X11/clientrc
+++ b/.config/X11/clientrc
@@ -19,7 +19,10 @@ fi
exec mate-session
-[ -n "$XDG_RUNTIME_DIR" ] || exit 1
+if [[ -z "$XDG_RUNTIME_DIR" ]]; then
+ printf "XDG_RUNTIME_DIR isn't set\n" >&2
+ exit 6
+fi
_DISPLAY="$(systemd-escape -- "$DISPLAY")"
trap "rm -f $(printf '%q' "${XDG_RUNTIME_DIR}/x11-wm@${_DISPLAY}")" EXIT
mkfifo "${XDG_RUNTIME_DIR}/x11-wm@${_DISPLAY}"
diff --git a/.config/login.d/90_dot-runtime.sh b/.config/login.d/90_dot-runtime.sh
index d06568f..cb0b7f2 100644
--- a/.config/login.d/90_dot-runtime.sh
+++ b/.config/login.d/90_dot-runtime.sh
@@ -1,4 +1,8 @@
# This is really only needed for ssh ControlPath; as I don't have a
# way to communicate XDG_RUNTIME_DIR to it otherwise.
mkdir -p -- ~/.runtime
-ln -sfT -- "$XDG_RUNTIME_DIR" ~/.runtime/"$HOSTNAME"
+if [ -n "$XDG_RUNTIME_DIR" ]; then
+ ln -sfT -- "$XDG_RUNTIME_DIR" ~/.runtime/"$HOSTNAME"
+else
+ ln -sfT -- /tmp ~/.runtime/"$HOSTNAME"
+fi
diff --git a/.config/wmii-hg/include.sh b/.config/wmii-hg/include.sh
index 4e86276..f8c4e0d 100644
--- a/.config/wmii-hg/include.sh
+++ b/.config/wmii-hg/include.sh
@@ -1,4 +1,8 @@
#!/hint/bash
+if [[ -z "$XDG_RUNTIME_DIR" ]]; then
+ printf "XDG_RUNTIME_DIR isn't set\n" >&2
+ exit 6
+fi
if [[ -z "$WMII_NAMESPACE" ]]; then
export WMII_NAMESPACE="$(wmiir namespace)"
diff --git a/.config/wmii-hg/rbar.sh b/.config/wmii-hg/rbar.sh
index 0c9efa6..287f427 100644
--- a/.config/wmii-hg/rbar.sh
+++ b/.config/wmii-hg/rbar.sh
@@ -1,4 +1,9 @@
#!/hint/bash
+if [[ -z "$XDG_RUNTIME_DIR" ]]; then
+ printf "XDG_RUNTIME_DIR isn't set\n" >&2
+ exit 6
+fi
+
setup_trap() {
trap "rm -f -- \"\${XDG_RUNTIME_DIR}\"/n/wmii*/rbar/${1}" EXIT
}